package model

import kotlinx.serialization.Serializable

fun parseType(type: String): Int {
    println("parseType: $type")
    return when (type) {
        "スマイル" -> 1
        "ピュア" -> 2
        "クール" -> 3
        else -> 1
    }
}

@Serializable
data class Card (
    val id: Int,                                // 卡牌id
    val name: String,                           // 卡牌名称
    val characterId: Int,                       // 角色id
    var characterName: String? = "",            // 角色名称
    var type: Int? = 1,                         // 类型 1:甜美 2:清纯 3:帅气
    var rarity: String? = "R",                  // 稀有性 1:UR 2:SR 3:R
    var maxLevel: String? = "",                 // 最大等级
    var maxHp: String? = "1",                   // 最大血量
    var smile: String? = "1",                   // 甜美值
    var cool: String? = "1",                    // 清纯值
    var pure: String? = "1",                    // 帅气值
    var illustId: String,                       // 通常图片文件名
    var evolveIllustId: String,                 // 觉醒图片文件名
    var group: String? = "",                    // 所属团组
    var team: String? = "",                     // 所属小组名
    var date: String? = "",                     // 实装日期
    var centerSkillName: String? = "",          // 中心技能名称
    var centerSkillInfo: String? = "",          // 中心技能介绍
    var specialSkillName: String? = "",         // 中心技能名称
    var specialSkillInfo: String? = "",         // 中心技能介绍
)
